Subject: RE: xterm for win32
From: [email-masked] (Rui Maximo)

4 Mar 1997 18:37:28 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <E149C0055891CF11844F00805F489FA4DA4F93.cygnus.gnu-win32@RED-25-MSG>
Original-To: "'JP Shipherd'" <[email-masked]>, [email-masked]
Original-Cc: Vim users mailing list <[email-masked]>
X-Priority: 3
X-Mailer: Internet Mail Service (5.0.1457.3)
Original-Sender: [email-masked]

The problem of the disappearing scrollbar in a cmd window is also
apparent
under NT.  It seems to be a refresh problem.  Whether the problem is
with
vim or cmd is elusive.  Maybe vim needs to tell cmd to refresh upon
exiting.
Note that the scroll bar is ALWAYS visible when I temporary switch to
the
shell (Use Ctrl-Z). Since I figured that this problem was already known
to
Bram, I didn't bring this to his attention.  A quick way to get around
it is
to minimize the cmd window and then restore it.

Rui.

> -----Original Message-----
> From:	JP Shipherd [SMTP:[email-masked]]
> Sent:	Tuesday, March 04, 1997 12:12 PM
> To:	[email-masked]
> Cc:	Vim users mailing list
> Subject:	Re: xterm for win32
> 
> (Vimmers, the following is a thread from the cygnus gnu-win32 project
> mailing list.  To cut to the chase read from the bottom up:)
> 
> >>>    JP> Has anyone found anything like an xterm that they can use
> as a
> >>>    JP> substitue for the cmd window on NT?
> >>>
> >>>    JP> I really miss the scroll bar and simple cut and paste.
> >>>
> >>>   If you just want these two items you can add them easily to your
> >>>native NT command window. Just access the "Properties" menu entry
> on
> >>>the command prompt and set the "Screen Buffer Size" field in the
> >>>"layout" tab control. Setting the "Height" to something like 2000
> >>>gives a nice scroll buffer, like an xterm.
> >>
> >>This is definitly handy but after 2000 lines the scroll bar just
> >>evaporates.  Instead of getting rid of the oldest 1 every time it
> needs to
> >>add a new one (like an xterm does).  This can be quite
> disconcerting.
> >
> >I don't seem to have the problem JP is eluding to though, my
> scrollbar is 
> >just fine regardless of how many line scroll by, obviously only the
> last 
> >2000 are accessible once I scroll more lines than that. I can't
> imagine why 
> >yours simply disappears?
> >
> 
> My mistake.  The scroll bar doesn't misbehave.  The problem seems to
> be a
> combination of Vim (Vi Improved) v4.6b and the BASH shell.  When I
> start
> vim the scrollbar goes away.  Then when I exit it comes back.
> Sometimes.
> Sometimes it stays away.  If I exit bash and go back to the DOS
> command
> prompt the scroll bar re-appears.  This never happens if I run VIM in
> a
> plain DOS window, but if I'm also running BASH it doesn't always come
> back
> (but sometimes it does).
> 
> --jp
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".